<template>
  <div class="wrap-left">
   <el-menu
			style="text-align: left;"
      :default-active="$route.path.split('/')[2]"
      class="el-menu-vertical-demo"
      @open="handleOpen"
      @close="handleClose"
      background-color="#282b33"
      text-color="#bcbcbc"
      active-text-color="#ffffff">
      <div class="" v-for="(nav,index) in navs" :key="index">
        <div class=""
          style="color: #ffffff;height: 40px;line-height: 40px;background-color: #393D49;padding-left: 20px;font-size: 16px;">
          {{nav.meta.title}}
        </div>
        <el-menu-item @click="clickroute(item.path)" v-for="(item,index) in nav.children"
          :key="index" :index="item.path.split('/')[2]" style="height: 40px;line-height: 40px;">{{item.meta.title}}</el-menu-item>
      </div>
    </el-menu>
  </div>
</template>

<script>
  export default {
    props:['leftnavData'],
    name:'leftNav',
    data() {
      return {
        navs:[],
        show:null
      };
    },
    created() {
      console.log(this.leftnavData);
      this.navs=this.leftnavData;
    },
    methods: {
      handleOpen(key, keyPath) {
        console.log(key, keyPath);
      },
      handleClose(key, keyPath) {
        console.log(key, keyPath);
      }
    },
    watch:{
      $route(a,b){
        this.changeRoute()
      }
    }
  }
</script>

<style lang="less">
  .wrap-left{
    position: absolute;
    left: 0;
    width: 15%;
    height: 100%;
    .el-menu{
      height: 100%;
    }
  }
</style>
